Advanced Cart: Probleme mit SSL

Guten Morgen,

wir haben in unserem Shop das Plugin Advanced Cart installiert. Das klappt alles ohne Probleme, auch das Konfiguriueren im Backend funktioniert. Im Frontend sieht das ganze aber anders aus. Hier funktioniert quasi keine Funktion des Plugins. Stattdessen erscheint in der URL-Zeile (Chrome) der Hinweis „Diese Seite versucht, Skripts aus nicht authentifizierten Quellen zu laden.“ und die Browserconsole gibt die folgende Fehlermeldung:

Mixed Content: The page at ‚https://www.domain.de/checkout/cart‘ was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint ‚http://www.domain.de/wishlist/save‘. This request has been blocked; the content must be served over HTTPS.

Hier ist als Beispiel das Speichern des Warenkorbs als Liste genommen, die Fehlermeldung lautet analog für das Hinzufügen eines Artikels zu einer Liste und das Löschen von Listen und Artikeln.

In einem Subshop, der ohne SSL läuft, funkiert das Plugin hingegen wunderbar. Leider konnte ich keine Hinweise finden, ob bei der Verwendung von SSL etwas zu beachten ist. Hat evtl. jemand Hinweise auf die Ursache? Vielen Dank im Voraus.

Hi Günther,

ich hab dir dafür ein Issue-Ticket angelegt:
 Shopware Issuetracker

Dann kann es sich einmal das Projekt-Team anschauen.
Ich konnte es nämlich auch nachstellen.

Gruß Heiner

1 Like